SlideshowControllerCreate Method |
POST /Slideshow/
Creates a slide show.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage Create(
[FromBodyAttribute] SlideshowData options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function Create (
<FromBodyAttribute> options As SlideshowData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ Create(
[FromBodyAttribute] SlideshowData^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member Create :
[<FromBodyAttribute>] options : SlideshowData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsSlideshowData
The slide show information to be created and saved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
SlideshowData object, or a status code indicating the problem.
See Also